/* For Windows only */
/**
 * If we are running on windows, execute the helper application, to
 * check if DeskApp is the default application.
 * For Windows 7 and up also set the JumpList tasks.
 */
function _checkIsDefaultMailApp() {
	if (!global.DA.isWin) {
		return;
	}

	var args = ['/SetAsDefault'];
	if (global.DA.isWin7OrHigher()) {
		args.push('/ApplyJumpList:_nwjs_' + chrome.runtime.id);
	}

	var path = require('path');
	var helperExe = path.dirname(process.execPath) + '\\deskapphelper.exe';
	var child_process = require('child_process');

	child_process.execFile(helperExe, args, function(error, stdout, stderr) {
		if (error !== null) {
			console.log('exec error: ' + error);
		}
	});
}

module.exports = {
	checkIsDefaultMailApp: _checkIsDefaultMailApp
};
